Runtime

## org.eclipse.gmf.runtime.notation
Interface Node

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, View

All Known Subinterfaces:
  BasicCompartment, BasicDecorationNode, BasicSemanticCompartment, Compartment, DecorationNode, ListCompartment, SemanticListCompartment, Shape

All Known Implementing Classes:
  BasicCompartmentImpl, BasicDecorationNodeImpl, BasicSemanticCompartmentImpl, CompartmentImpl, DecorationNodeImpl, ListCompartmentImpl, NodeImpl, SemanticListCompartmentImpl, ShapeImpl

    public interface Node

extends View

A representation of the model object 'Node'.

A node is a view that can composed and laid out in a container view.

The following features are supported:

- `Layout Constraint`

See Also:
  `NotationPackage.getNode()`
** Generated **
Model:

Method Summary
`LayoutConstraint` `createLayoutConstraint(org.eclipse.emf.ecore.EClass eClass)` A utility method to create a `LayoutConstraint` object from the given `EClass` and then sets the node's LayoutConstraint property to the new object.
`LayoutConstraint` `getLayoutConstraint()` Returns the value of the 'Layout Constraint' containment reference
`void` `setLayoutConstraint(LayoutConstraint value)` Sets the value of the '`Layout Constraint`' containment reference

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLayoutConstraint

    LayoutConstraint getLayoutConstraint()

  Returns the value of the 'Layout Constraint' containment reference.

  Layout constraints are used by layout managers to properly set the bounds of the node's visuals

  Returns:
    the value of the 'Layout Constraint' containment reference.
  See Also:
    `setLayoutConstraint(LayoutConstraint)`, `NotationPackage.getNode_LayoutConstraint()`
  ** Generated **
  Model:
    containment="true"

### setLayoutConstraint

    void setLayoutConstraint(LayoutConstraint value)

  Sets the value of the '`Layout Constraint`' containment reference.

  Layout constraints are used by layout managers to properly set the bounds of the node's visuals

  Parameters:
    `value` - the new value of the 'Layout Constraint' containment reference.
  See Also:
    `getLayoutConstraint()`
  ** Generated **

### createLayoutConstraint

    LayoutConstraint createLayoutConstraint(org.eclipse.emf.ecore.EClass eClass)

  A utility method to create a `LayoutConstraint` object from the given `EClass` and then sets the node's LayoutConstraint property to the new object.

  Parameters:
    `eClass` - the `EClass` to be used in creating the `LayoutConstraint` object
  ** Generated **
  Model:

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.